'''
McDonald's Annual Revenue
(Millions of US $)
2022	$23,183
2021	$23,223
2020	$19,208
2019	$21,364
2018	$21,258
2017	$22,820
2016	$24,622
2015	$25,413
2014	$27,441
2013	$28,106
2012	$27,567
2011	$27,006
2010	$24,075
2009	$22,745


McDonald's Quarterly Revenue
(Millions of US $)
2023-03-31	$5,898
2022-12-31	$5,927
2022-09-30	$5,872
2022-06-30	$5,718
2022-03-31	$5,666
2021-12-31	$6,009
2021-09-30	$6,201
2021-06-30	$5,888
2021-03-31	$5,125
2020-12-31	$5,314
2020-09-30	$5,418
2020-06-30	$3,762
2020-03-31	$4,714
2019-12-31	$5,428
2019-09-30	$5,502
2019-06-30	$5,410
2019-03-31	$5,024
2018-12-31	$5,396
2018-09-30	$5,369
2018-06-30	$5,354
2018-03-31	$5,139
2017-12-31	$5,340
2017-09-30	$5,755
2017-06-30	$6,050
2017-03-31	$5,676
2016-12-31	$6,029
2016-09-30	$6,424
2016-06-30	$6,265
2016-03-31	$5,904
2015-12-31	$6,341
2015-09-30	$6,615
2015-06-30	$6,498
2015-03-31	$5,959
2014-12-31	$6,572
2014-09-30	$6,987
2014-06-30	$7,182
2014-03-31	$6,700
2013-12-31	$7,093
2013-09-30	$7,323
2013-06-30	$7,084
2013-03-31	$6,605
2012-12-31	$6,952
2012-09-30	$7,152
2012-06-30	$6,916
2012-03-31	$6,547
2011-12-31	$6,823
2011-09-30	$7,166
2011-06-30	$6,905
2011-03-31	$6,112
2010-12-31	$6,214
2010-09-30	$6,305
2010-06-30	$5,946
2010-03-31	$5,610
2009-12-31	$5,973
'''

l = []
l = [1]
l = [1, 22]
l = [1, 22, 'nam']
l = [1, 22, 'nam', {'key': 'value'} ]
l = [
    1,
    22,
    'nam',
    {'key': 'value'},
]

yearly_revenue_l0 = [
    {'2022': '$23,183'},
    {'2021': '$23,223'},
    {'2020': '$19,208'},
    {'2019': '$21, 364'},
    {'2018': '$21, 258'},
    {'2017': '$22, 820'},
    {'2016': '$24, 622'},
    {'2015': '$25, 413'},
    {'2014': '$27, 441'},
    {'2013': '$28, 106'},
    {'2012': '$27, 567'},
    {'2011': '$27, 006'},
    {'2010': '$24, 075'},
    {'2009': '$22, 745'},
]

quarterly_revenue_l0 = [
    {'2023-03-31': '$5,898'},
    {'2022-12-31': '$5,927'},
    {'2022-09-30': '$5,872'},
    {'2022-06-30': '$5,718'},
    {'2022-03-31': '$5,666'},
    {'2021-12-31': '$6,009'},
    {'2021-09-30': '$6,201'},
    {'2021-06-30': '$5,888'},
    {'2021-03-31': '$5,125'},
    {'2020-12-31': '$5,314'},
    {'2020-09-30': '$5,418'},
    {'2020-06-30': '$3,762'},
    {'2020-03-31': '$4,714'},
    {'2019-12-31': '$5,428'},
    {'2019-09-30': '$5,502'},
    {'2019-06-30': '$5,410'},
    {'2019-03-31': '$5,024'},
    {'2018-12-31': '$5,396'},
    {'2018-09-30': '$5,369'},
    {'2018-06-30': '$5,354'},
    {'2018-03-31': '$5,139'},
    {'2017-12-31': '$5,340'},
    {'2017-09-30': '$5,755'},
    {'2017-06-30': '$6,050'},
    {'2017-03-31': '$5,676'},
    {'2016-12-31': '$6,029'},
    {'2016-09-30': '$6,424'},
    {'2016-06-30': '$6,265'},
    {'2016-03-31': '$5,904'},
    {'2015-12-31': '$6,341'},
    {'2015-09-30': '$6,615'},
    {'2015-06-30': '$6,498'},
    {'2015-03-31': '$5,959'},
    {'2014-12-31': '$6,572'},
    {'2014-09-30': '$6,987'},
    {'2014-06-30': '$7,182'},
    {'2014-03-31': '$6,700'},
    {'2013-12-31': '$7,093'},
    {'2013-09-30': '$7,323'},
    {'2013-06-30': '$7,084'},
    {'2013-03-31': '$6,605'},
    {'2012-12-31': '$6,952'},
    {'2012-09-30': '$7,152'},
    {'2012-06-30': '$6,916'},
    {'2012-03-31': '$6,547'},
    {'2011-12-31': '$6,823'},
    {'2011-09-30': '$7,166'},
    {'2011-06-30': '$6,905'},
    {'2011-03-31': '$6,112'},
    {'2010-12-31': '$6,214'},
    {'2010-09-30': '$6,305'},
    {'2010-06-30': '$5,946'},
    {'2010-03-31': '$5,610'},
    {'2009-12-31': '$5,973'},
]

print(yearly_revenue_l0)

print(yearly_revenue_l0[0])
print(yearly_revenue_l0[1])
#
# print(list(yearly_revenue_l[0].items())[0][0])
# print(list(yearly_revenue_l[0].items())[0][1])

yearly_revenue_l = [
    {'year': '2022', 'revenue': '$23,183'},
    {'year': '2021', 'revenue': '$23,223'},
    {'year': '2020', 'revenue': '$19,208'},
    {'year': '2019', 'revenue': '$21, 364'},
    {'year': '2018', 'revenue': '$21, 258'},
    {'year': '2017', 'revenue': '$22, 820'},
    {'year': '2016', 'revenue': '$24, 622'},
    {'year': '2015', 'revenue': '$25, 413'},
    {'year': '2014', 'revenue': '$27, 441'},
    {'year': '2013', 'revenue': '$28, 106'},
    {'year': '2012', 'revenue': '$27, 567'},
    {'year': '2011', 'revenue': '$27, 006'},
    {'year': '2010', 'revenue': '$24, 075'},
    {'year': '2009', 'revenue': '$22, 745'},
]

print(yearly_revenue_l)
print(yearly_revenue_l[0])
print(yearly_revenue_l[1])

print(yearly_revenue_l[0]['year'])
print(yearly_revenue_l[0]['revenue'])

print(f'''
year   revenue
----------------------------------
{yearly_revenue_l[0]['year']}   {yearly_revenue_l[0]['revenue']}
{yearly_revenue_l[1]['year']}   {yearly_revenue_l[1]['revenue']}
{yearly_revenue_l[13]['year']}  {yearly_revenue_l[13]['revenue']}
''')


y = yearly_revenue_l[0]['year'] ;    print(y)
r = yearly_revenue_l[0]['revenue'] ; print(r)
print(f'''
year   revenue
----------------------------------
{y}   {r}
{yearly_revenue_l[0]['year']}   {yearly_revenue_l[0]['revenue']}
''')

for i in yearly_revenue_l:
    print(i)
    print(i['year'])
    print(i['revenue'])
    print()

print(f'''
year   revenue
----------------------------------''')
for i in yearly_revenue_l:
    print(f'''{yearly_revenue_l[0]['year']}   {yearly_revenue_l[0]['revenue']}''')

# output to file
# xuat bien :yearly_revenue_l ra tep
import os
THIS_DIR      = os.path.dirname(__file__)
THIS_FILENAME = os.path.basename(__file__)
with open(f'{THIS_DIR}/{THIS_FILENAME}.json', 'w') as f:
    import json
    s = json.dumps(yearly_revenue_l, indent=2)

    f.write(s)

i=122